$AdfDhtmlRegionPeer$$.$_SUB_ID_MAP$ = {disclosure_icon:"_afrDscl", content:"content"};
$AdfDhtmlRegionPeer$$.$_HEADER_PREFIX$ = "H";
$AdfDhtmlRegionPeer$$.prototype.$GetSubIdDomElement$ = function $$AdfDhtmlRegionPeer$$$$$GetSubIdDomElement$$($domElement$$677_pbTable$$2_subElementId$$52$$) {
  $AdfAssert$$.$assertNonEmptyString$($domElement$$677_pbTable$$2_subElementId$$52$$);
  var $component$$2456_x$$79$$ = this.$getComponent$();
  if ("title" == $domElement$$677_pbTable$$2_subElementId$$52$$) {
    $domElement$$677_pbTable$$2_subElementId$$52$$ = this.$getDomElement$();
    $domElement$$677_pbTable$$2_subElementId$$52$$ = $AdfDomUtils$$.$getFirstDescendentElement$($domElement$$677_pbTable$$2_subElementId$$52$$, "TABLE");
    if (null == $domElement$$677_pbTable$$2_subElementId$$52$$) {
      return null;
    }
    for ($component$$2456_x$$79$$ = 1;6 >= $component$$2456_x$$79$$;$component$$2456_x$$79$$++) {
      var $header$$12$$ = $AdfDomUtils$$.$getFirstDescendentElement$($domElement$$677_pbTable$$2_subElementId$$52$$, $AdfDhtmlRegionPeer$$.$_HEADER_PREFIX$ + $component$$2456_x$$79$$);
      if (null != $header$$12$$) {
        return $header$$12$$;
      }
    }
    return null;
  }
  return $AdfSubIdUtils$$.$getSubIdDomElementByMappedSubId$($domElement$$677_pbTable$$2_subElementId$$52$$, $AdfDhtmlRegionPeer$$.$_SUB_ID_MAP$, $component$$2456_x$$79$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlRegionPeer.prototype.GetSubIdDomElement", {$GetSubIdDomElement$:$AdfDhtmlRegionPeer$$.prototype.$GetSubIdDomElement$});
$AdfDhtmlRegionPeer$$.prototype.$GetBestMatchSubId$ = function $$AdfDhtmlRegionPeer$$$$$GetBestMatchSubId$$($domElement$$678$$) {
  var $subId$$62$$ = $AdfSubIdUtils$$.$getBestMatchSubId$($domElement$$678$$, this, $AdfDhtmlRegionPeer$$.$_SUB_ID_MAP$);
  !$subId$$62$$ && (0 == $domElement$$678$$.tagName.indexOf($AdfDhtmlRegionPeer$$.$_HEADER_PREFIX$) || $domElement$$678$$.firstChild && $domElement$$678$$.firstChild.tagName.startsWith($AdfDhtmlRegionPeer$$.$_HEADER_PREFIX$)) && ($subId$$62$$ = "title");
  return $subId$$62$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlRegionPeer.prototype.GetBestMatchSubId", {$GetBestMatchSubId$:$AdfDhtmlRegionPeer$$.prototype.$GetBestMatchSubId$});
